%define		apiver	0.6
Summary:	Google Talk's implementation of Jingle and Jingle-Audio
Summary(pl.UTF-8):	Implementacja Jingle i Jingle-Audio programu Google Talk
Name:		libjingle
Version:	0.6.14
Release:	3
License:	BSD
Group:		Applications
Source0:	http://libjingle.googlecode.com/files/%{name}-%{version}.zip
# Source0-md5:	b3906436df810620ced9ea7ec300799d
URL:		http://code.google.com/p/libjingle/
# fedora patches
# fedora loves to keep patch for every libjingle version, like they're not using VCS
# awk -vf=~/fc/libjingle '/^Patch/{s=d=$NF;sub(/libjingle-[0-9]+\.[0-9]+\.[0-9]+-/, "", d); printf("cp %s/%s %s\n", f, s, d)}' ~/fc/libjingle/libjingle.spec | sh
Patch0:		build-sanity.patch
Patch1:		C-linkage-fix.patch
Patch2:		NULL-fix.patch
Patch3:		statfix.patch
Patch4:		uint32-fix.patch
Patch5:		timefix.patch
Patch6:		unixfilesystemfix.patch
Patch7:		system-expat.patch
Patch8:		system-srtp.patch
Patch9:		devicemanager-fix.patch
Patch10:	v4llookup-fix.patch
Patch11:	fixconflict.patch
Patch14:	config-linux.patch
Patch16:	compilefix.patch
Patch17:	size_t.patch
Patch18:	fixmacro.patch
Patch20:	unistd.patch
# /fedora patches
Patch100:	bashism.patch
Patch101:	time-timeutils.patch
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	glib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	webrtc-libilbc-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7g
BuildRequires:	ortp-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.583
BuildRequires:	speex-devel
BuildRequires:	srtp-devel >= 1.4.4
BuildRequires:	udev-devel
BuildRequires:	unzip
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXrender-devel
Requires:	openssl >= 0.9.7g
ExclusiveArch:	%{ix86} %{x8664} %{arm}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# TODO: check if something can be fixed
%define		skip_post_check_so	libjinglebase.so.*.*.* libjinglexmpp.so.1.0.0 libjinglep2pbase.so.1.0.0 libjinglep2pclient.so.1.0.0 libjinglesessiontunnel.so.1.0.0 libjinglesessionphone.so.1.0.0 libjinglesound.so.1.0.0

%description
Libjingle is a set of C++ components provided by Google to
interoperate with Google Talk's peer-to-peer and voice calling
capabilities. The package includes Google's implementation of Jingle
and Jingle-Audio, two proposed extensions to the XMPP standard that
are currently available in experimental draft form.

In addition to enabling interoperability with Google Talk, there are
several general purpose components in the library such as the P2P
stack which can be used to build a variety of communication and
collaboration applications.

%description -l pl.UTF-8
libjingle to zestaw komponentów C++ udostępnionych przez Google do
współpracy z usługami peer-to-peer i voice Google Talk. Pakiet zawiera
implementacje Google Jingle i Jingle-Audio - dwóch proponowanych
rozszerzeń standardu XMPP, aktualnie dostępnych w postaci
eksperymentalnego szkicu.

Oprócz umożliwienia współpracy z Google Talk w bibliotece dostępne
jest kilka komponentów ogólnego przeznaczenia, takich jak stos P2P,
który może być wykorzystany do tworzenia różnych aplikacji do
komunikacji i współpracy.

%package devel
Summary:	Header files for libjingle library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libjingle
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel
Requires:	gtk+2-devel
Requires:	libstdc++-devel
Requires:	openssl-devel >= 0.9.7g
Requires:	srtp-devel
Requires:	xorg-lib-libXrender-devel

%description devel
This package provides the necessary header files allow you to compile
applications using libjingle.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do programowania z użyciem libjingle.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch14 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch20 -p1

%patch100 -p1
%patch101 -p1
%{__rm} talk/base/time.h

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# .pc exists so remove .la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_bindir}/relayserver
%attr(755,root,root) %{_bindir}/stunserver
%attr(755,root,root) %{_libdir}/libjinglebase.so.*.*.*
%ghost %{_libdir}/libjinglebase.so.1
%attr(755,root,root) %{_libdir}/libjinglep2pbase.so.*.*.*
%ghost %{_libdir}/libjinglep2pbase.so.1
%attr(755,root,root) %{_libdir}/libjinglep2pclient.so.*.*.*
%ghost %{_libdir}/libjinglep2pclient.so.1
%attr(755,root,root) %{_libdir}/libjinglesessionphone.so.*.*.*
%ghost %{_libdir}/libjinglesessionphone.so.1
%attr(755,root,root) %{_libdir}/libjinglesessiontunnel.so.*.*.*
%ghost %{_libdir}/libjinglesessiontunnel.so.1
%attr(755,root,root) %{_libdir}/libjinglesound.so.*.*.*
%ghost %{_libdir}/libjinglesound.so.1
%attr(755,root,root) %{_libdir}/libjinglexmllite.so.*.*.*
%ghost %{_libdir}/libjinglexmllite.so.1
%attr(755,root,root) %{_libdir}/libjinglexmpp.so.*.*.*
%ghost %{_libdir}/libjinglexmpp.so.1

%files devel
%defattr(644,root,root,755)
%{_libdir}/libjinglebase.so
%{_libdir}/libjinglep2pbase.so
%{_libdir}/libjinglep2pclient.so
%{_libdir}/libjinglesessionphone.so
%{_libdir}/libjinglesessiontunnel.so
%{_libdir}/libjinglesound.so
%{_libdir}/libjinglexmllite.so
%{_libdir}/libjinglexmpp.so
%{_includedir}/libjingle-%{apiver}
%{_pkgconfigdir}/jinglebase-%{apiver}.pc
%{_pkgconfigdir}/jinglep2p-%{apiver}.pc
%{_pkgconfigdir}/jinglesessionphone-%{apiver}.pc
%{_pkgconfigdir}/jinglesessiontunnel-%{apiver}.pc
%changelog
* Mon Nov 19 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libjingle.git;a=log;h=master

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 7550d9c
- BR webrtc-libilbc-devel
- rel 3

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 2523975
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Sat Jul 07 2012 Elan Ruusamäe <glen@pld-linux.org> 0d38738
- up to 0.6.14, updated fedora patches

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 23e3d66
- BR: unzip

* Thu Jan 06 2011 Elan Ruusamäe <glen@pld-linux.org> e34f825
- update srtp dep so it gets built with

* Thu Jan 06 2011 Elan Ruusamäe <glen@pld-linux.org> e7cba67
- use patch to be sure correct changes are made

* Thu Jan 06 2011 Elan Ruusamäe <glen@pld-linux.org> 24ba9b0
- fedora patches

* Thu Jan 06 2011 Elan Ruusamäe <glen@pld-linux.org> 41d3dc6
- up to 0.5.1, with fedora patches to build

* Thu Apr 22 2010 Artur Frysiak <artur@frysiak.net> c7e4428
- added openssl1.patch to fix compilation with openssl 1.0.x

* Thu Apr 22 2010 Artur Frysiak <artur@frysiak.net> 04fa991
Fix compilation with openssl 1.0.x

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 19f5bfe
- release 4

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> be36213
- release 3

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fe78bd4
- release 2

* Sun Jan 10 2010 sparky <sparky@pld-linux.org> 5f78a77
- BR: alsa-lib-devel, gtk+2-devel
- many C++ fixed to take the compilation a bit further, still many to fix

* Sat Jan 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 364e065
- up to 0.4.0 but doesn't build as previous one

* Mon Jul 30 2007 Patryk Zawadzki <patrys@room-303.com> 7f96fb0
- fix commitlog (vim typo)

* Mon Jul 30 2007 Patryk Zawadzki <patrys@room-303.com> 18d1dbf
- 0.3.11

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dbdb11a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 43e77e4
- converted to UTF-8

* Mon Jan 22 2007 Jakub Bogusz <qboosh@pld-linux.org> 24e0745
- -devel desc fix, deps cleanup

